swagger: '2.0'
info:
  description: SDNC ConfigDB API
  version: 4.0.0
  title: SDNC ConfigDB  API
  contact:
    name: Devendra Chauhan
    email: devendra.chauhan@techmahindra.com
host: 'localhost:8080'
basePath: /
tags:
  - name: ran-db-config-controller
    description: Ran DB Config Controller
  - name: ran-slice-config-controller
    description: RAN Slice Config Controller
paths:
  '/api/sdnc-config-db/v3/createNbr/{cellId}':
    put:
      tags:
        - ran-db-config-controller
      summary: createNbr
      operationId: createNbrUsingPUT
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - in: body
          name: createNbrRequest
          description: createNbrRequest
          required: true
          schema:
            $ref: '#/definitions/NbrObj'
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/CellNbrInfoResponse'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v3/deleteNbr/{cellId}/{targetCellId}':
    delete:
      tags:
        - ran-db-config-controller
      summary: deleteNbr
      operationId: deleteNbrUsingDELETE
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - name: targetCellId
          in: path
          description: targetCellId
          required: true
          type: string
      responses:
        '200':
          description: OK
        '204':
          description: No Content
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
  '/api/sdnc-config-db/v3/getCell/{cellId}':
    get:
      tags:
        - ran-db-config-controller
      summary: getCell
      operationId: getCellUsingGET
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/CellObj'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v3/getCellList/{networkId}/{ts}':
    get:
      tags:
        - ran-db-config-controller
      summary: getCellList
      operationId: getCellListUsingGET
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - name: networkId
          in: path
          description: networkId
          required: true
          type: string
        - name: ts
          in: path
          description: ts
          required: true
          type: string
          format: date-time
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              type: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v3/getNbrCellsNetwork/{networkId}':
    get:
      tags:
        - ran-db-config-controller
      summary: getNbrCellsNetwork
      operationId: getNbrCellsNetworkUsingGET
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - name: networkId
          in: path
          description: networkId
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/NbrCellsNetworkResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v3/getNbrList/{cellId}/{ts}':
    get:
      tags:
        - ran-db-config-controller
      summary: getNbrList
      operationId: getNbrListUsingGET
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - name: ts
          in: path
          description: ts
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/NbrListResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v3/getPCI/{cellId}/{ts}':
    get:
      tags:
        - ran-db-config-controller
      summary: getPCI
      operationId: getPCIUsingGET
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - name: ts
          in: path
          description: ts
          required: true
          type: string
          format: date-time
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/Result'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v3/getPnfId/{cellId}/{ts}':
    get:
      tags:
        - ran-db-config-controller
      summary: getPnfId
      operationId: getPnfIdUsingGET
      consumes:
        - application/json
      produces:
        - application/json
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - name: ts
          in: path
          description: ts
          required: true
          type: string
          format: date-time
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/Result'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v3/insertData:
    put:
      tags:
        - ran-db-config-controller
      summary: insertCellData
      operationId: insertCellDataUsingPUT
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - in: body
          name: cellInputPayload
          description: cellInputPayload
          required: true
          schema:
            $ref: '#/definitions/CellInputPayload'
      responses:
        '200':
          description: OK
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v3/modifyNbrHO/{cellId}/{targetCellId}':
    patch:
      tags:
        - ran-db-config-controller
      summary: modifyNbrHo
      operationId: modifyNbrHoUsingPATCH
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - name: targetCellId
          in: path
          description: targetCellId
          required: true
          type: string
        - in: body
          name: fields
          description: fields
          required: true
          schema:
            type: object
      responses:
        '200':
          description: OK
        '204':
          description: No Content
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
  '/api/sdnc-config-db/v3/modifyPci/{cellId}':
    patch:
      tags:
        - ran-db-config-controller
      summary: modifyNbrPci
      operationId: modifyNbrPciUsingPATCH
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - in: body
          name: fields
          description: fields
          required: true
          schema:
            type: object
      responses:
        '200':
          description: OK
        '204':
          description: No Content
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
  '/api/sdnc-config-db/v3/modifyPnfId/{cellId}':
    patch:
      tags:
        - ran-db-config-controller
      summary: modifyPnfId
      operationId: modifyPnfIdUsingPATCH
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: cellId
          in: path
          description: cellId
          required: true
          type: string
        - in: body
          name: fields
          description: fields
          required: true
          schema:
            type: object
      responses:
        '200':
          description: OK
        '204':
          description: No Content
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
  '/api/sdnc-config-db/v4/cell-list/{trackingArea}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findListOfCells
      operationId: findListOfCellsUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: trackingArea
          in: path
          description: trackingArea
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              type: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/cu-cell-list/{nearRTRICId}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findCUCellsofRIC
      operationId: findCUCellsofRICUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: nearRTRICId
          in: path
          description: nearRTRICId
          required: true
          type: integer
          format: int32
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/NRCellCUModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/cucp-list:
    get:
      tags:
        - ran-slice-config-controller
      summary: fetchCUCPFunctions
      operationId: fetchCUCPFunctionsUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/GNBCUCPModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/cucp-list/{sNSSAI}':
    get:
      tags:
        - ran-slice-config-controller
      summary: fetchCUFunctionsOfNSSAI
      operationId: fetchCUFunctionsOfNSSAIUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: sNSSAI
          in: path
          description: sNSSAI
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/GNBCUCPModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/du-cell-list/{sNSSAI}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findDUCellsofRIC
      operationId: findDUCellsofRICUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: sNSSAI
          in: path
          description: sNSSAI
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: object
            additionalProperties:
              type: array
              items:
                $ref: '#/definitions/NRCellDUModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/du-list:
    get:
      tags:
        - ran-slice-config-controller
      summary: fetchDUFunctions
      operationId: fetchDUFunctionsUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/GNBDUModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/du-list/{sNSSAI}':
    get:
      tags:
        - ran-slice-config-controller
      summary: fetchDUFunctionsOfNSSAI
      operationId: fetchDUFunctionsOfNSSAIUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: sNSSAI
          in: path
          description: sNSSAI
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/GNBDUModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/gNBCUCP:
    put:
      tags:
        - ran-slice-config-controller
      summary: updateGNBCUCPFunction
      operationId: updateGNBCUCPFunctionUsingPUT
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - in: body
          name: gNBCUCPModel
          description: gNBCUCPModel
          required: true
          schema:
            $ref: '#/definitions/GNBCUCPModel'
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/GNBCUCPModel'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/gNBCUCP/{gNBCUCPName}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findGNBCUCPFunction
      operationId: findGNBCUCPFunctionUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: gNBCUCPName
          in: path
          description: gNBCUCPName
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/GNBCUCPModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/gNBCUUP:
    put:
      tags:
        - ran-slice-config-controller
      summary: updateGNBCUUPFunction
      operationId: updateGNBCUUPFunctionUsingPUT
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - in: body
          name: gNBCUUPModel
          description: gNBCUUPModel
          required: true
          schema:
            $ref: '#/definitions/GNBCUUPModel'
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/GNBCUUPModel'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/gNBCUUP/{gNBCUUPId}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findGNBCUUPFunction
      operationId: findGNBCUUPFunctionUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: gNBCUUPId
          in: path
          description: gNBCUUPId
          required: true
          type: integer
          format: int32
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/GNBCUUPModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/gNBDU:
    put:
      tags:
        - ran-slice-config-controller
      summary: updateGNBDUFunction
      operationId: updateGNBDUFunctionUsingPUT
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - in: body
          name: gNBDUModel
          description: gNBDUModel
          required: true
          schema:
            $ref: '#/definitions/GNBDUModel'
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/GNBDUModel'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/gNBDU/{gNBDUId}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findGNBDUFunction
      operationId: findGNBDUFunctionUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: gNBDUId
          in: path
          description: gNBDUId
          required: true
          type: integer
          format: int32
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/GNBDUModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/nearRTRIC:
    put:
      tags:
        - ran-slice-config-controller
      summary: updateNearRTRIC
      operationId: updateNearRTRICUsingPUT
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - in: body
          name: nearRTRICModel
          description: nearRTRICModel
          required: true
          schema:
            $ref: '#/definitions/NearRTRICModel'
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/NearRTRICModel'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/nearRTRIC/{nearRTRICId}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findNearRTRICFunction
      operationId: findNearRTRICFunctionUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: nearRTRICId
          in: path
          description: nearRTRICId
          required: true
          type: integer
          format: int32
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/NearRTRICModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/nearrtric-list/{trackingArea}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findNearRTRICofCellsFromTA
      operationId: findNearRTRICofCellsFromTAUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: trackingArea
          in: path
          description: trackingArea
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/NearRTRICModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/nearrtric/snssai/{sNSSAI}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findRICsofNSSAI
      operationId: findRICsofNSSAIUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: sNSSAI
          in: path
          description: sNSSAI
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/NearRTRICModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/nearrtric/{ranNFNSSIId}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findNearRTRICByNSSI
      operationId: findNearRTRICByNSSIUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: ranNFNSSIId
          in: path
          description: ranNFNSSIId
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: array
            items:
              $ref: '#/definitions/NearRTRICModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/profile-config/{sNSSAI}':
    get:
      tags:
        - ran-slice-config-controller
      summary: fetchSliceProfileConfiguration
      operationId: fetchSliceProfileConfigurationUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: sNSSAI
          in: path
          description: sNSSAI
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: object
            additionalProperties:
              type: integer
              format: int32
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/ranslice-details:
    put:
      tags:
        - ran-slice-config-controller
      summary: updateRANInventory
      operationId: updateRANInventoryUsingPUT
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - in: body
          name: ranSliceInfoModel
          description: ranSliceInfoModel
          required: true
          schema:
            $ref: '#/definitions/RANSliceInfoModel'
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/RANSliceInfoModel'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/ranslice-details/{ranNFNSSIId}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findRANSlice
      operationId: findRANSliceUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: ranNFNSSIId
          in: path
          description: ranNFNSSIId
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/RANSliceInfoModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  /api/sdnc-config-db/v4/rrmPolicy:
    post:
      tags:
        - ran-slice-config-controller
      summary: updateRRMPolicy
      operationId: updateRRMPolicyUsingPOST
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - in: body
          name: rrmPolicy
          description: rrmPolicy
          required: true
          schema:
            $ref: '#/definitions/RRMPolicyRatioModel'
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/RRMPolicyRatioModel'
        '201':
          description: Created
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/rrmPolicy/{resourceType}/{resourceId}':
    get:
      tags:
        - ran-slice-config-controller
      summary: findRRMPolicyOfNE
      operationId: findRRMPolicyOfNEUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: resourceType
          in: path
          description: resourceType
          required: true
          type: string
        - name: resourceId
          in: path
          description: resourceId
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            $ref: '#/definitions/RRMPolicyRatioModel'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/slice-config/{sNSSAI}':
    get:
      tags:
        - ran-slice-config-controller
      summary: fetchSliceConfiguration
      operationId: fetchSliceConfigurationUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: sNSSAI
          in: path
          description: sNSSAI
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: object
            additionalProperties:
              $ref: '#/definitions/NSSAIConfig'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
  '/api/sdnc-config-db/v4/subscriber-details/{sNSSAI}':
    get:
      tags:
        - ran-slice-config-controller
      summary: fetchSubsciberDetailsOfNSSAI
      operationId: fetchSubsciberDetailsOfNSSAIUsingGET
      consumes:
        - application/json
      produces:
        - '*/*'
      parameters:
        - name: sNSSAI
          in: path
          description: sNSSAI
          required: true
          type: string
      responses:
        '200':
          description: OK
          schema:
            type: object
            additionalProperties:
              type: string
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
definitions:
  RRMPolicyRatioModel:
    type: object
    properties:
      quotaType:
        type: string
      rRMPolicyDedicatedRatio:
        type: integer
        format: int32
      rRMPolicyMaxRatio:
        type: integer
        format: int32
      rRMPolicyMemberList:
        type: array
        items:
          $ref: '#/definitions/RRMPolicyMemberModel'
      rRMPolicyMinRatio:
        type: integer
        format: int32
      resourceID:
        type: string
      resourceType:
        type: string
      rrmPolicyID:
        type: integer
        format: int32
      sliceType:
        type: string
  CellInputPayload:
    type: object
    properties:
      cellList:
        type: array
        items:
          $ref: '#/definitions/CellObj'
  SliceProfileModel:
    type: object
    properties:
      coverageAreaList:
        type: array
        items:
          type: string
      dLThptPerSlice:
        type: integer
        format: int32
      latency:
        type: integer
        format: int32
      maxNumberofConns:
        type: integer
        format: int32
      maxNumberofUEs:
        type: integer
        format: int32
      pLMNIdList:
        type: string
      resourceSharingLevel:
        type: string
      sNSSAI:
        type: string
      sliceProfileId:
        type: string
      uEMobilityLevel:
        type: string
      uLThptPerSlice:
        type: integer
        format: int32
  RRMPolicyMemberModel:
    type: object
    properties:
      pLMNId:
        type: string
      sNSSAI:
        $ref: '#/definitions/NSSAIData'
  CellNbrInfoResponse:
    type: object
    properties:
      cellId:
        type: string
      ho:
        type: boolean
      targetCellId:
        type: string
  CellObj:
    type: object
    properties:
      Cell:
        $ref: '#/definitions/CellData'
      neighbor:
        type: array
        items:
          type: string
  GNBCUCPModel:
    type: object
    properties:
      cellCUList:
        type: array
        items:
          $ref: '#/definitions/NRCellCUModel'
      gNBCUName:
        type: string
      gNBId:
        type: integer
        format: int32
      gNBIdLength:
        type: integer
        format: int32
      nFType:
        type: string
      nearRTRICId:
        type: integer
        format: int32
      pLMNId:
        type: string
  PLMNInfoModel:
    type: object
    properties:
      pLMNId:
        type: string
      sNSSAI:
        $ref: '#/definitions/NSSAIData'
  NbrListResponse:
    type: object
    properties:
      cellId:
        type: string
      nbrList:
        type: array
        items:
          $ref: '#/definitions/NbrList'
  NbrObj:
    type: object
    properties:
      ho:
        type: boolean
      targetCellId:
        type: string
  CellData:
    type: object
    properties:
      latitude:
        type: string
      longitude:
        type: string
      networkId:
        type: string
      nodeId:
        type: string
      notes:
        type: string
      physicalCellId:
        type: integer
        format: int64
      pnfId:
        type: string
      sectorNumber:
        type: string
  Timestamp:
    type: object
    properties:
      date:
        type: integer
        format: int32
      day:
        type: integer
        format: int32
      hours:
        type: integer
        format: int32
      minutes:
        type: integer
        format: int32
      month:
        type: integer
        format: int32
      nanos:
        type: integer
        format: int32
      seconds:
        type: integer
        format: int32
      time:
        type: integer
        format: int64
      timezoneOffset:
        type: integer
        format: int32
      year:
        type: integer
        format: int32
  NbrCellsNetworkResponse:
    type: object
    properties:
      cellsNbrList:
        type: array
        items:
          $ref: '#/definitions/NbrListResponse'
      networkId:
        type: string
  Result:
    type: object
    properties:
      attribute-name:
        type: string
      value:
        type: string
  NSSAIData:
    type: object
    properties:
      configData:
        $ref: '#/definitions/NSSAIConfig'
      globalSubscriberId:
        type: string
      sNSSAI:
        type: string
      status:
        type: string
      subscriptionServiceType:
        type: string
  NRCellCUModel:
    type: object
    properties:
      cellLocalId:
        type: integer
        format: int32
      pLMNInfoList:
        type: array
        items:
          $ref: '#/definitions/PLMNInfoModel'
      resourceType:
        type: string
  GNBCUUPModel:
    type: object
    properties:
      gNBCUUPId:
        type: integer
        format: int32
      gNBId:
        type: integer
        format: int32
      gNBIdLength:
        type: integer
        format: int32
      nearRTRICId:
        type: integer
        format: int32
      pLMNInfoList:
        type: array
        items:
          $ref: '#/definitions/PLMNInfoModel'
      resourceType:
        type: string
  NearRTRICModel:
    type: object
    properties:
      gNBCUCPList:
        type: array
        items:
          $ref: '#/definitions/GNBCUCPModel'
      gNBCUUPList:
        type: array
        items:
          $ref: '#/definitions/GNBCUUPModel'
      gNBDUList:
        type: array
        items:
          $ref: '#/definitions/GNBDUModel'
      gNBId:
        type: integer
        format: int32
      nearRTRICId:
        type: integer
        format: int32
      pLMNInfoList:
        type: array
        items:
          $ref: '#/definitions/PLMNInfoModel'
      ranNFNSSIList:
        type: array
        items:
          type: string
      resourceType:
        type: string
      trackingArea:
        type: array
        items:
          type: string
  NbrList:
    type: object
    properties:
      ho:
        type: boolean
      pciValue:
        type: integer
        format: int64
      targetCellId:
        type: string
  GNBDUModel:
    type: object
    properties:
      cellDUList:
        type: array
        items:
          $ref: '#/definitions/NRCellDUModel'
      gNBDUId:
        type: integer
        format: int32
      gNBDUName:
        type: string
      gNBId:
        type: integer
        format: int32
      gNBIdLength:
        type: integer
        format: int32
      nFType:
        type: string
      nearRTRICId:
        type: integer
        format: int32
      pLMNId:
        type: string
  RANSliceInfoModel:
    type: object
    properties:
      isShareable:
        type: string
      nSSAIList:
        type: array
        items:
          type: string
      nsstId:
        type: string
      ranNFNSSIId:
        type: string
      ranNSSIList:
        type: array
        items:
          type: string
      sliceProfilesList:
        type: array
        items:
          $ref: '#/definitions/SliceProfileModel'
      sliceType:
        type: string
      subnetStatus:
        type: string
      trackingAreaList:
        type: string
  NRCellDUModel:
    type: object
    properties:
      administrativeState:
        type: string
      cellLocalId:
        type: integer
        format: int32
      cellState:
        type: string
      nRPCI:
        type: integer
        format: int32
      nRTAC:
        type: integer
        format: int32
      operationalState:
        type: string
      pLMNInfoList:
        type: array
        items:
          $ref: '#/definitions/PLMNInfoModel'
      resourceType:
        type: string
  NSSAIConfig:
    type: object
    properties:
      dLThptPerSlice:
        type: integer
        format: int32
      lastUpdatedTS:
        $ref: '#/definitions/Timestamp'
      maxNumberOfConns:
        type: integer
        format: int32
      uLThptPerSlice:
        type: integer
        format: int32